//----------------
//Event Type: Output
//Event Target: Player
//Event Name: canDamage
//Event Arguements: [bool]
//----------------
//Creator: Destiny
//----------------
registerOutputEvent(Player,"canCombat","bool",0);
function Player::canCombat(%player,%bool)
{
	%player.canCombat = %bool;
}
package Event_canCombat
{
	function miniGameCanDamage(%obja,%objb)
	{
		if(isObject(%obja.player))
		{
			if(!%obja.player.canCombat || !%objb.canCombat)
			{
				return 0;
			}
			else
			{
				Parent::miniGameCanDamage(%obja,%objb);
			}
		}
		else
		{
			Parent::miniGameCanDamage(%obja,%objb);
		}
	}
	function Armor::onAdd(%this,%player)
	{
		%player.canCombat = true;
		Parent::onAdd(%this,%player);
	}
};
activatePackage(Event_canCombat);